<div class="container">
    <form class="form-inline" #ref=ngForm    (ngSubmit)="getStatus(ref.value)">
        <label for="num" class="mr-sm-2 s1">Month</label>
        <input type="text" class="form-control mb-2 mr-sm-2" placeholder="YearMonth like 201701" id="num" name="month" ngModel>
        <label for="cars" class="mr-sm-2 s1">Year</label>
        <input type="text" class="form-control mb-2 mr-sm-2" placeholder="Year" id="cars" name="year" ngModel>
        <button type="submit" class="btn btn-primary mb-2">Submit</button>
    </form>

        <input type="text" class="form-control mb-2 mr-sm-2 justify-end" placeholder="sales date | del_date | item_name" id="bike" name="" [(ngModel)]='searchWord'>
    <div class="container">
        <table class="table table-striped s1">
            <thead class="thead-dark">
            <th>Order_id</th>
            <th>Item Name</th>
            <th>Quantity</th>
            <th>Cogs</th>
            <th>Sales Date</th>
            <th>Delivery Date</th>
            </thead>
            <tr *ngFor="let obj of allOrders| searchbydate : searchWord">
                    <td>{{obj.order_id}}</td>
                    <td>{{obj.item_name}}</td>
                    <td>{{obj.qty}}</td>
                    <td>{{obj.cogs}}</td>
                    <td>{{obj.ddate}}</td>
                    <td>{{obj.del_date}}</td>
            </tr>
        </table>
    </div>
</div>